summaryrefslogtreecommitdiffstats
path: root/maven/projects/gluegen
diff options
context:
space:
mode:
authorMark Raynsford <[email protected]>2014-03-11 20:54:50 +0000
committerMark Raynsford <[email protected]>2014-03-11 20:54:50 +0000
commit75322060978ed360ebf3ad355abd915e868c92a4 (patch)
tree63115d7efbcb942feee43b94424fa9ea914ad946 /maven/projects/gluegen
parentf538477c6467f046533b3fc584566dccc768c6f5 (diff)
Massively rewrite project handling. Projects are now defined by directories of
(mostly) single-line config files (essentially a glorified directory-based key/value db). The scripts have been adjusted to work better in isolation (in particular the old copy-jars script has been split into a copy-jars-one and copy-jars script, with the latter executing the former on all projects). Bug 999: Is now fixed. Essentially a variable name was accidentally re-used, meaning the source zip file was copied over the project's main jar file. The -n option was passed to cp, but not the subsequent mv, so the overwrite occurred silently!
Diffstat (limited to 'maven/projects/gluegen')
-rw-r--r--maven/projects/gluegen/atomics1
-rw-r--r--maven/projects/gluegen/dummy-jar1
-rw-r--r--maven/projects/gluegen/natives1
-rw-r--r--maven/projects/gluegen/pom.in63
-rwxr-xr-xmaven/projects/gluegen/pom.sh37
-rw-r--r--maven/projects/gluegen/source-zip1
6 files changed, 104 insertions, 0 deletions
diff --git a/maven/projects/gluegen/atomics b/maven/projects/gluegen/atomics
new file mode 100644
index 0000000..8b13789
--- /dev/null
+++ b/maven/projects/gluegen/atomics
@@ -0,0 +1 @@
+
diff --git a/maven/projects/gluegen/dummy-jar b/maven/projects/gluegen/dummy-jar
new file mode 100644
index 0000000..3639190
--- /dev/null
+++ b/maven/projects/gluegen/dummy-jar
@@ -0,0 +1 @@
+no-dummy-jar
diff --git a/maven/projects/gluegen/natives b/maven/projects/gluegen/natives
new file mode 100644
index 0000000..ae3b2b0
--- /dev/null
+++ b/maven/projects/gluegen/natives
@@ -0,0 +1 @@
+no-natives
diff --git a/maven/projects/gluegen/pom.in b/maven/projects/gluegen/pom.in
new file mode 100644
index 0000000..0dfa180
--- /dev/null
+++ b/maven/projects/gluegen/pom.in
@@ -0,0 +1,63 @@
+ <!-- gluegen/pom.in -->
+
+ <scm>
+ <url>http://jogamp.org/git/?p=gluegen.git/</url>
+ <connection>scm:git:http://jogamp.org/git/gluegen.git/</connection>
+ <developerConnection>scm:git:http://jogamp.org/git/gluegen.git/</developerConnection>
+ </scm>
+
+ <licenses>
+ <license>
+ <name>BSD-2 License</name>
+ <url>http://www.opensource.org/licenses/BSD-2-Clause</url>
+ </license>
+ <license>
+ <name>BSD-3 License</name>
+ <url>http://www.opensource.org/licenses/BSD-3-Clause</url>
+ </license>
+ <license>
+ <name>BSD-4 License</name>
+ <url>http://www.spdx.org/licenses/BSD-4-Clause</url>
+ </license>
+ </licenses>
+
+ <developers>
+ <developer>
+ <id>sgothel</id>
+ <name>Sven Gothel</name>
+ <email>[email protected]</email>
+ <url>http://blog.jausoft.com</url>
+ </developer>
+ </developers>
+
+ <issueManagement>
+ <url>http://jogamp.org/bugzilla/</url>
+ <system>Bugzilla</system>
+ </issueManagement>
+
+ <build>
+ <plugins>
+ <plugin>
+ <groupId>org.apache.maven.plugins</groupId>
+ <artifactId>maven-gpg-plugin</artifactId>
+ <version>1.4</version>
+ <executions>
+ <execution>
+ <id>sign-artifacts</id>
+ <phase>verify</phase>
+ <goals>
+ <goal>sign</goal>
+ </goals>
+ </execution>
+ </executions>
+ </plugin>
+ </plugins>
+ <extensions>
+ <extension>
+ <groupId>org.apache.maven.wagon</groupId>
+ <artifactId>wagon-ssh</artifactId>
+ <version>2.4</version>
+ </extension>
+ </extensions>
+ </build>
+
diff --git a/maven/projects/gluegen/pom.sh b/maven/projects/gluegen/pom.sh
new file mode 100755
index 0000000..f839723
--- /dev/null
+++ b/maven/projects/gluegen/pom.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+if [ $# -lt 1 ]
+then
+ echo "usage: version" 1>&2
+ exit 1
+fi
+
+VERSION="$1"
+shift
+
+cat <<EOF
+<?xml version="1.0" encoding="UTF-8"?>
+<project
+ xmlns="http://maven.apache.org/POM/4.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+
+ <!-- -->
+ <!-- Auto generated by gluegen.pom.sh, do not edit directly! -->
+ <!-- -->
+
+ <modelVersion>4.0.0</modelVersion>
+ <groupId>org.jogamp.gluegen</groupId>
+ <artifactId>gluegen</artifactId>
+ <version>${VERSION}</version>
+ <packaging>jar</packaging>
+ <name>GlueGen Runtime</name>
+ <description>JNI binding generator (Non-runtime components and atomic jar files)</description>
+ <url>http://jogamp.org/gluegen/www/</url>
+
+EOF
+
+cat pom.in || exit 1
+cat <<EOF
+</project>
+EOF
diff --git a/maven/projects/gluegen/source-zip b/maven/projects/gluegen/source-zip
new file mode 100644
index 0000000..3847c62
--- /dev/null
+++ b/maven/projects/gluegen/source-zip
@@ -0,0 +1 @@
+gluegen-java-src.zip